Bug 56818 - EuroSign keysym giving 0 chars?
Summary: EuroSign keysym giving 0 chars?
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-28 08:49 UTC by romano
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-11 08:39:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Startup log for X (10.95 KB, text/plain)
2001-12-05 07:53 UTC, romano
no flags Details
Configuration file for Xserver (1.80 KB, text/plain)
2001-12-05 07:54 UTC, romano
no flags Details

Description romano 2001-11-28 08:49:26 UTC
Description of Problem:

I have EuroSign keysym assigned to alt-gr e; but when typing it, I get nothing; font is correctly set and xev say that eurosign has been seen but XLookupString gives 0 chars. 

Version-Release number of selected component (if applicable):

XFree86-4.1.0-3

How Reproducible:

every time

Steps to Reproduce:
1.select a iso8859-15 font for an xterm  
2.do (in zsh) print "\244": euro symbol is shown corrctly  
3.xmodmap -pke | grep -i euro confirm EuroSign is assigned to alt-gr e  
4. typing alt-gr e gives nothing   

Actual Results:
KeyPress event, serial 28, synthetic NO, window 0x2a00001,  
    root 0x30, subw 0x0, time 1914166218, (88,78), root:(1016,419),  
    state 0x2000, keycode 26 (keysym 0x20ac, EuroSign),   same_screen YES,  
    XLookupString gives 0 characters:  ""  
  
KeyRelease event, serial 28, synthetic NO, window 0x2a00001,  
    root 0x30, subw 0x0, time 1914166295, (88,78), root:(1016,419),  
    state 0x2000, keycode 26 (keysym 0x20ac, EuroSign), same_screen YES,  
    XLookupString gives 0 characters:  ""  

Expected Results:

XLookupString gives 1 characters:  "$" (where in correct font an euro sign, decimal 164, octal 0244 is shown

Additional Information:

Comment 1 Mike A. Harris 2001-12-05 01:45:09 UTC
Please attach your X server config and X logfiles using the file
attachment link below.  Also indicate any internationalization
settings you are using.

Comment 2 romano 2001-12-05 07:53:42 UTC
Created attachment 39687 [details]
Startup log for X

Comment 3 romano 2001-12-05 07:54:59 UTC
Created attachment 39688 [details]
Configuration file for Xserver

Comment 4 romano 2002-01-11 08:39:00 UTC
I found an hack to obtain the euro symbol (? <- this is it if you have a iso-latin15 font). It suffice 
to add/change the xmodmap from:

keycode  26 = e E EuroSign

to: 

keycode  26 = e E currency 


Note that this is a hack, and would not work if the input method understand for example 
Unicode; in my opinion, the original bug is still here (and quite important...). But noe I can 
type EuroSigns when I need it...


Comment 5 Mike A. Harris 2002-03-29 00:44:09 UTC
Appears fixed in 4.2.0-6.51 and later in rawhide.


Note You need to log in before you can comment on or make changes to this bug.